Vehicles

At this time, the API provided by AROBS TrackGPS allows the use of 5 endpoints to obtain raw data:

Method URL Description
GET https://api.trackgps.ro/api/carriers/company-vehicles?api-version=2.0 List vehicles
POST https://api.trackgps.ro/api/carriers/way?api-version=2.0 Vehicle ways
POST https://api.trackgps.ro/api/carriers/stops?api-version=2.0 Stops
POST https://api.trackgps.ro/api/carriers/consumption?api-version=2.0 Fuel consumption
POST https://api.trackgps.ro/api/carriers/refills?api-version=2.0 Refueling data
POST https://api.trackgps.ro/api/carriers/temperatures?api-version=2.0 Temperature data

The minimum interval between two successive requests can be 30 seconds.

Subsections of Vehicles

Company Vehicles

General Description

The CompanyVehicles method returns the list of vehicles and their details. It only returns vehicles to which the user has access.
From the response of this method, you can retrieve the vehicleId values, which can be used in subsequent API calls.

This method is subject to Rate Limit restrictions.

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: GET https://api.trackgps.ro/api/carriers/company-vehicles?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


Response Structure

{
  "payload": [
    {
      "vehicleId": 0,
      "vehicleUId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "vehicleName": "string",
      "vehicleRegistrationNumber": "string",
      "latitude": 0,
      "longitude": 0,
      "gpsDate": "2024-09-09T08:52:55.005",
      "address": "string",
      "speed": 0,
      "course": 0,
      "engineEvent": 0,
      "engineRpm": 0,
      "engineEventDate": "2024-09-09T08:52:55.005",
      "serverDate": "2024-09-09T08:52:55.005",
      "isPrivate": true,
      "vehicleIdentificationNumber": "string",
      "externalPowerVoltage": 0,
      "vehicleManufacturer": "string",
      "vehicleModel": "string",
      "manufactureYear": 0
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}

Property Descriptions

  • payload: List of vehicles and their details.
    • vehicleId: Unique ID of the vehicle.
    • vehicleUId: Universal unique ID of the vehicle.
    • vehicleName: Name of the vehicle.
    • vehicleRegistrationNumber: Vehicle registration number.
    • latitude: Latitude of the vehicle’s location.
    • longitude: Longitude of the vehicle’s location.
    • gpsDate: Date and time of the last GPS update.
    • address: Address of the vehicle’s location.
    • speed: Vehicle speed.
    • course: Vehicle travel direction.
    • engineEvent: Engine event.
    • engineRpm: Engine RPM.
    • engineEventDate: Date and time of the engine event.
    • serverDate: Server date and time at the moment of response.
    • isPrivate: Indicates if the vehicle is in private mode.
    • vehicleIdentificationNumber: Vehicle Identification Number (VIN).
    • externalPowerVoltage: Power supply voltage.
    • vehicleManufacturer: Vehicle manufacturer.
    • vehicleModel: Vehicle model.
    • manufactureYear: Vehicle manufacture year.
  • correlationId: Unique ID for correlating the request and response.
  • failureReasons: List of failure reasons, if any.
    • errorCode: Error code.
    • errorParameters: Additional error parameters.
  • isSuccess: Indicates if the request was processed successfully.

Way

General Description

The Way method returns the list of vehicle locations for the period provided as a parameter. It only returns vehicles to which the user has access. The method accepts as parameters a list of up to 10 vehicleId values and a period of up to 31 days.

It is subject to the restrictions described in Rate Limit

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: POST https://api.trackgps.ro/api/carriers/way?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


Request Parameters

{
  "vehiclesList": [
    0
  ],
  "startDate": "2024-09-09T09:21:50.133Z",
  "endDate": "2024-09-09T09:21:50.133Z"
}
  • vehiclesList: List of vehicleId values for which you want to obtain locations.
  • startDate: Start date and time of the period for which locations are requested.
  • endDate: End date and time of the period for which locations are requested.

Response Structure

{
  "payload": [
    {
      "vehicleId": 0,
      "gpsDate": "2024-09-09T09:21:50.134",
      "latitude": 0,
      "longitude": 0,
      "speed": 0,
      "course": 0
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}

Property Descriptions

  • payload: List of vehicle locations.
    • vehicleId: Unique ID of the vehicle.
    • gpsDate: Date and time of the last GPS update.
    • latitude: Latitude of the vehicle’s location.
    • longitude: Longitude of the vehicle’s location.
    • speed: Speed of the vehicle.
    • course: Direction of vehicle movement.
  • correlationId: Unique ID for correlating the request and response.
  • failureReasons: List of failure reasons, if any.
    • errorCode: Error code.
    • errorParameters: Additional parameters for the error.
  • isSuccess: Indicator if the request was processed successfully.

Stops

General Description

The Stops method returns a list of vehicle stops within the requested period. It only returns data for vehicles the user has access to. If the list contains at least one vehicle the user does not have access to, a response with error code 401 will be returned.

It is subject to the Rate Limit restrictions.

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: POST https://api.trackgps.ro/api/carriers/stops?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


Request Parameters

{
  "vehiclesList": [
    0
  ],
  "startDate": "2024-09-09T09:49:19.549",
  "endDate": "2024-09-09T09:49:19.549",
  "stationaryMargin": 0
}
  • vehiclesList: List of vehicle IDs for which stops are requested (maximum 10 vehicles).
  • startDate: Start date and time of the period for which stops are requested.
  • endDate: End date and time of the period for which stops are requested.
  • stationaryMargin: Stop duration in minutes (cannot be less than 1 minute).

Response Structure

{
  "payload": [
    {
      "results": {
        "additionalProp1": [
          {
            "vehicleId": 0,
            "startDate": "2025-04-11T14:33:30.175",
            "endDate": "2025-04-11T14:33:30.175",
            "latitude": 0,
            "longitude": 0,
            "stationaryEngineOnTime": 0,
            "distance": 0,
            "maxSpeed": 0,
            "averageSpeed": 0,
            "speedCount": 0,
            "indexKm": 0,
            "indexHours": 0,
            "address": "string",
            "stopDuration": 0,
            "engineOnStops": [
              {
                "startDate": "2025-04-11T14:33:30.175",
                "endDate": "2025-04-11T14:33:30.175",
                "duration": 0
              }
            ],
            "hotSpot": "string",
            "functioningTime": 0,
            "isPrivate": true,
            "drivers": [
              {
                "firstName": "string",
                "lastName": "string"
              }
            ],
            "fuelConsumption": 0
          }
        ],
        "additionalProp2": [
          {
            "vehicleId": 0,
            "startDate": "2025-04-11T14:33:30.175",
            "endDate": "2025-04-11T14:33:30.175",
            "latitude": 0,
            "longitude": 0,
            "stationaryEngineOnTime": 0,
            "distance": 0,
            "maxSpeed": 0,
            "averageSpeed": 0,
            "speedCount": 0,
            "indexKm": 0,
            "indexHours": 0,
            "address": "string",
            "stopDuration": 0,
            "engineOnStops": [
              {
                "startDate": "2025-04-11T14:33:30.175",
                "endDate": "2025-04-11T14:33:30.175",
                "duration": 0
              }
            ],
            "hotSpot": "string",
            "functioningTime": 0,
            "isPrivate": true,
            "drivers": [
              {
                "firstName": "string",
                "lastName": "string"
              }
            ],
            "fuelConsumption": 0
          }
        ],
        "additionalProp3": [
          {
            "vehicleId": 0,
            "startDate": "2025-04-11T14:33:30.175",
            "endDate": "2025-04-11T14:33:30.175",
            "latitude": 0,
            "longitude": 0,
            "stationaryEngineOnTime": 0,
            "distance": 0,
            "maxSpeed": 0,
            "averageSpeed": 0,
            "speedCount": 0,
            "indexKm": 0,
            "indexHours": 0,
            "address": "string",
            "stopDuration": 0,
            "engineOnStops": [
              {
                "startDate": "2025-04-11T14:33:30.175",
                "endDate": "2025-04-11T14:33:30.175",
                "duration": 0
              }
            ],
            "hotSpot": "string",
            "functioningTime": 0,
            "isPrivate": true,
            "drivers": [
              {
                "firstName": "string",
                "lastName": "string"
              }
            ],
            "fuelConsumption": 0
          }
        ]
      }
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}

Property Descriptions

  • payload: List of vehicle stops.
    • results: Stop results for each vehicle.
      • vehicleId: Vehicle ID.
      • startDate: Start date and time of the stop.
      • endDate: End date and time of the stop.
      • latitude: Latitude of the stop location.
      • longitude: Longitude of the stop location.
      • stationaryEngineOnTime: Time spent stopped with the engine on.
      • distance: Distance traveled.
      • maxSpeed: Maximum speed reached.
      • averageSpeed: Average speed.
      • speedCount: Number of speed measurements.
      • indexKm: Kilometer index.
      • indexHours: Hour index.
      • address: Address of the stop location.
      • stopDuration: Duration of the stop.
      • engineOnStops: List of events with the engine on.
        • startDate: Start date and time of the stop with the engine on.
        • endDate: End date and time of the stop with the engine on.
        • duration: Duration of the stop with the engine on.
      • hotSpot: Hotspot name if the stop occurred in a defined hotspot.
      • functioningTime: Operating time.
      • isPrivate: Indicator if the stop is private.
      • drivers: List of drivers.
        • firstName: Driver’s first name.
        • lastName: Driver’s last name.
      • fuelConsumption: Fuel consumption for the previous trip and current stop (if stopped with the engine on).
  • correlationId: Unique ID for correlating the request and response.
  • failureReasons: List of failure reasons, if any.
    • errorCode: Error code.
    • errorParameters: Additional error parameters.
  • isSuccess: Indicator if the request was processed successfully.

Consumption

General Description

The Consumption method returns information about fuel consumption, distance, operating hours, as well as the average consumption per 100 km for a vehicle during the requested period. The method can be called for a list of up to 10 vehicles and a period of up to 31 days. If the vehicle is equipped with LPG, data will be returned for both sources.

It is subject to the Rate Limit restrictions.

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: POST https://api.trackgps.ro/api/carriers/consumption?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


JSON Request Structure

{
  "vehiclesList": [
    0
  ],
  "startDate": "2024-09-09T07:15:14.124",
  "endDate": "2024-09-09T07:15:14.124"
}
Request Properties
  • vehiclesList: List of vehicles for which the method is called (array of vehicleId).
  • startDate: Start date of the period for which the method is called.
  • endDate: End date of the period for which the method is called.

JSON Response Structure

{
  "payload": [
    {
      "vehicleName": "string",
      "licensePlate": "string",
      "distance": 0,
      "hours": "string",
      "consumptionValue": 0,
      "averageConsumption100Km": 0,
      "secondarySource": {
        "distance": 0,
        "hours": "string",
        "consumptionValue": 0,
        "averageConsumption100Km": 0
      }
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}
Response Properties
Primary Properties
  • vehicleName: Name of the vehicle (string).
  • licensePlate: License plate number (string).
  • distance: Distance traveled in km (numeric).
  • hours: Operating hours in timespan format hours:minutes:seconds (string).
  • consumptionValue: Fuel consumption value in liters (numeric).
  • averageConsumption100Km: Average consumption per 100 km in l/100km (numeric).
Secondary Source Properties
  • secondarySource.distance: Distance traveled by the secondary source in km (numeric).
  • secondarySource.hours: Operating hours of the secondary source in timespan format hours:minutes:seconds (string).
  • secondarySource.consumptionValue: Consumption value for the secondary source in liters (numeric).
  • secondarySource.averageConsumption100Km: Average consumption per 100 km for the secondary source in l/100km (numeric).

Calculating Totals

If the secondary source contains data, to obtain the totals you must sum the data from the primary and secondary sources. For example:

{
  "payload": [
    {
      "vehicleName": "Vehicle A",
      "licensePlate": "AB-12-BCD",
      "distance": 100,
      "hours": "10:00:00",
      "consumptionValue": 50,
      "averageConsumption100Km": 5,
      "secondarySource": {
        "distance": 50,
        "hours": "5:00:00",
        "consumptionValue": 20,
        "averageConsumption100Km": 4
      }
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isSuccess": true
}

Totals:

  • distance: 100 + 50 = 150 km
  • hours: 10:00:00 + 5:00:00 = 15:00:00
  • consumptionValue: 50 + 20 = 70 liters
  • averageConsumption100Km: (5 + 4) / 2 = 4.5 l/100km

Refills

General Description

The Refills method returns a list of refueling or fuel level decrease events detected within the requested period. It only returns data for vehicles to which the user has access.
If the list contains at least one vehicle to which the user does not have access, a response with error code 401 will be returned.

This method is subject to Rate Limit restrictions.

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: POST https://api.trackgps.ro/api/carriers/refills?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


Request Parameters

{
  "carrierId": 0,
  "startDate": "2024-09-09T09:42:51.835",
  "endDate": "2024-09-09T09:42:51.835"
}
  • carrierId: The unique ID of the vehicle for which you want to obtain refueling or fuel level decrease events.
  • startDate: The start date and time of the period for which events are requested.
  • endDate: The end date and time of the period for which events are requested.

Response Structure

{
  "payload": [
    {
      "date": "string",
      "event": "string",
      "location": "string",
      "estimation": 0,
      "isPrivate": true
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}

Property Descriptions

  • payload: List of refueling or fuel level decrease events.
    • date: The date and time of the event.
    • event: The type of event (refueling or fuel level decrease).
    • location: The location where the event occurred.
    • estimation: The estimated amount of fuel involved in the event.
    • isPrivate: Indicates if the event was performed privately.
  • correlationId: Unique ID for correlating the request and response.
  • failureReasons: List of failure reasons, if any.
    • errorCode: The error code.
    • errorParameters: Additional parameters for the error.
  • isSuccess: Indicates if the request was processed successfully.

List of Possible Events

  • FuelStart: Initial fuel level
  • Fueling: Refueling
  • PossibleFuelTheft: Possible fuel theft
  • TotalRefill: Total refuelings
  • TotalPossibleTheft: Total possible fuel thefts
  • RemainingFuel: Remaining fuel
  • TotalFuelConsumption: Total fuel consumption
  • FuelStartSecondarySource: Start of refueling from secondary source
  • FuelingSecondarySource: Refueling from secondary source
  • PossibleFuelTheftSecondarySource: Possible fuel theft from secondary source
  • TotalRefillSecondarySource: Total refuelings from secondary source
  • TotalPossibleTheftSecondarySource: Total possible thefts from secondary source
  • RemainingFuelSecondarySource: Remaining fuel from secondary source
  • TotalFuelConsumptionSecondarySource: Total fuel consumption from secondary source

Temperatures

General Method Description

The Temperatures method returns a list of recorded temperatures for the requested period. It only returns data for vehicles the user has access to. If the list contains at least one vehicle the user does not have access to, a response with error code 401 will be returned.

This method is subject to Rate Limit restrictions.

⚠️ All requests to this endpoint must include the api-version=2.0 parameter in the URL.
URL: POST https://api.trackgps.ro/api/carriers/temperatures?api-version=2.0

⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.


Request Parameters

{
  "vehiclesList": [
    0
  ],
  "startDate": "2024-09-09T09:49:19.549",
  "endDate": "2024-09-09T09:49:19.549"
}
  • vehiclesList: The list of vehicles for which temperature data is requested.
  • startDate: The start date of the period for which data is requested.
  • endDate: The end date of the period for which data is requested.

Response Structure

{
  "payload": [
    {
      "temperature": [
        {
          "vehicleId": 0,
          "date": "2025-04-11T12:33:11.817",
          "value": 0,
          "sensorNumber": 0
        }
      ],
      "humidity": [
        {
          "vehicleId": 0,
          "date": "2025-04-11T12:33:11.817",
          "value": 0,
          "sensorNumber": 0
        }
      ]
    }
  ],
  "correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "failureReasons": [
    {
      "errorCode": "string",
      "errorParameters": [
        "string"
      ]
    }
  ],
  "isSuccess": true
}
  • payload: Contains the results with temperature data.
  • correlationId: A unique identifier for correlating the request and response.
  • failureReasons: The reasons why the request failed, if any.
  • isSuccess: Indicates whether the request was successful.